#object #construction #还

In English we say:
```
subject + verb + direct object + to + indirect object
```

However, in Mandarin the order is:
```
subject + verb + indirect object + direct object
```

For example:
1. 我还你书。
   wǒ huán nǐ shū
   I return the book **to** you.
2. 谁教我们汉字？
   shéi jiāo wǒmen Hànzi
   Who teaches us Chinese characters?
3. 他告诉我他的名字。
   tā gàosu wǒ tā de míngzi
   He told me his name.
4. 你问老师什么？
   nǐ wèn lǎoshī shénme
   What are you asking the teacher?
5. 老师给学生词典。
   lǎoshī gěi xuésheng cidiǎn
   The teacher gives the students a dictionary.

Different verbs can take two objects, including but not limited to:
- 还huán
- 教jiāo
- 告诉gàosu
- 问wèn
- 给gěi

#benefactor
However, only a small total number of verbs take two grammatical objects. Other verbs may involve the use of a different grammatical pattern to express the directed goal of an action, for example the [[Prepositions#Benefactor benefactor 给|Benefactor pattern]]. So, it's key to remember the difference between verbs which take two objects, and those which use the benefactor pattern. For example, 买 takes the benefactor pattern, so must be used with 给 when describing buying something for someone.

