#在 #这儿 #那儿 #那儿 #locative

Locatives are often used in combination with zài在. They include:
- **here** - zhèr 这儿 / zhèlǐ 这里
- **there** - nàr 那儿 / nàlǐ 那里
- **where** - nǎr 哪儿 / nǎli 哪里

Example with 在:
>Q) 他在哪儿？ (tā zài nǎr?) - Where is he?
>A) 他在这儿，他不在那儿。 (tā zài zhèr, tā bú zài nàr) - He is here, not there.

# Adding in Locatives
Other verbs also take place words. These include 来lái (to come) and 去qù (to go).
These verbs *must* take place words, unlike in English. In English we can say "come to me", which if we try to translate literally to Chinese gives:
> <mark style="background: #FF5582A6;">来我。</mark>
> lái wǒ
> Come to me.

But that's not correct, as 我 is not a place word. Thus we have to attach a locative word to it to make it an acceptable object for the verb to take. Common options are 这儿zhèr (here) and 那儿nàr (there). Therefore the correct translation would be:
> 来我这儿。
> lái wǒ zhèr
> Come to me.

# 这儿 and 那儿
The choice between 这儿 and 那儿 mostly depends on the spatial reference:
1. 他去张大夫那儿。
	tā qù Zhāng dàifu nàr
	He went to Dr. Zhang.
2. 朋友常常来我这儿。
   péngyou chángcháng lái wǒ zhèr
   Friends often come to me/my place.
3. 老师的笔在谁那儿？
	lǎoshī de bǐ zài shéi nàr?
	The teacher's pen is with whom?
4. 你的裙子在妈妈那儿。
   nǐ de qúnzi zài māma nàr
   Your skirt is with Mum. (Mum has your skirt.)

# Ownership = 有, Temporary Possession = 在
For examples (3) and (4) above in English we would often use "to have", ie. "Who has the teacher's pen?". But in Chinese it's not possible to rephrase these with 有. Unlike in English, 有 marks possession through a more permanent nature, like ownership. (3) and (4) are not about ownership, but about who currently is using/borrowing/holding the object. For this meaning, we use 在, as above.