#每 #measure #demonstrative 

每měi is a demonstrative, with the meaning "each and every". Like all demonstratives, it requires a [[Measure Words|measure word]] between it and a noun:
```
每 + measure + noun (+ 都)
```
Examples:
1. 每个老师都很忙。
   měi ge lǎoshī dōu hěn máng
   Every teacher is busy.
2. 每本书都是新的。
   měi běn shū dōu shì xīn de
   Every book is a new one.

Some nouns behave like measure words, however, and don't need another measure. One such example is 天, which is why we just say 每天. 
都 is used to highlight the plurality of the "each and every" statement. However, it is omitted when using an interrogative numeral (多少/几):
1. 每(个)班有几个老师？
   měi (ge) bān yǒu jǐge lǎoshī
   How many teachers does each class have?
2. 每个学生买多少张票？
   měi ge xuésheng mǎi duōshaozhāng piào
   How many tickets does each student buy?
The same applies when answering these questions:
1. 每班有两个老师。
   měi bān yǒu liǎngge lǎoshī
   Each class has two teachers.
Not that here, 每 is acting as "each", and not "every".

When 每 appears with the object of a sentence, 都 is not used before the verb. This is because 都 stands in front of a verb, marking the plurality of the nominal *before* the 都. In this case, the plurality should apply to the object which is *after* the verb:
> 老师给每个学生两本杂志。
> lǎoshī gěi měi ge xuésheng liǎngběn zázhì
> The teacher gives each student two magazines.
> (We can't put 都 before the verb 给, because then it would seem like it's saying "all teachers".)

